Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZResponseQuestion Class Reference

## Public Member Functions
| __construct ( $response="", $question="")
| get ( $responseID, $questionID)
| getResponsesByQuestion ( $OrderBy="ID", $QuestionID="", $LimitStart="None", $LimitBy="None")
| store ()
| delete ()
| report ()
| responseID ()
| questionID ()
| choiceID ()
| other ()
| setResponseID ( $value)
| setQuestionID ( $value)
| setChoiceID ( $value)
| setOther ( $value)

## Static Public Member Functions
static | deleteByQuestion ( $QuestionID)

## Public Attributes
| $ResponseID
| $QuestionID
| $ChoiceID
| $Other

## Detailed Description

Definition at line 15 of file ezresponsequestion.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZResponseQuestion::__construct | ( |  | $response = `""`,
|  |  | $question = `""`
| ) |  |

Definition at line 17 of file ezresponsequestion.php.

References $question, and $response.

## Member Function Documentation

## ◆ choiceID()

eZResponseQuestion::choiceID | ( |  | ) |

Definition at line 440 of file ezresponsequestion.php.

References $ChoiceID.

## ◆ delete()

eZResponseQuestion::delete | ( |  | ) |

Definition at line 280 of file ezresponsequestion.php.

References $question, $response, eZResponseBool, eZResponseMultiple, eZResponseRank, eZResponseSingle, and eZResponseText.

## ◆ deleteByQuestion()

static eZResponseQuestion::deleteByQuestion | ( |  | $QuestionID | ) |
| static

Definition at line 326 of file ezresponsequestion.php.

References $question, $QuestionID, $response, eZResponseBool, eZResponseMultiple, eZResponseRank, eZResponseSingle, and eZResponseText.

Referenced by eZQuestion\delete().

## ◆ get()

eZResponseQuestion::get | ( |  | $responseID,
|  |  | $questionID
| ) |  |

Definition at line 25 of file ezresponsequestion.php.

References $ChoiceID, $Other, $question, $response, eZResponseBool, eZResponseMultiple, eZResponseRank, eZResponseSingle, and eZResponseText.

## ◆ getResponsesByQuestion()

eZResponseQuestion::getResponsesByQuestion | ( |  | $OrderBy = `"ID"`,
|  |  | $QuestionID = `""`,
|  |  | $LimitStart = `"None"`,
|  |  | $LimitBy = `"None"`
| ) |  |

Definition at line 113 of file ezresponsequestion.php.

References $db, $OrderBy, $question, $question_array, $QuestionID, $response, eZResponseBool, eZResponseMultiple, eZResponseRank, eZResponseSingle, eZResponseText, and eZDB\globalDatabase().

## ◆ other()

eZResponseQuestion::other | ( |  | ) |

Definition at line 441 of file ezresponsequestion.php.

References $Other.

## ◆ questionID()

eZResponseQuestion::questionID | ( |  | ) |

Definition at line 439 of file ezresponsequestion.php.

References $QuestionID.

## ◆ report()

eZResponseQuestion::report | ( |  | ) |

Definition at line 382 of file ezresponsequestion.php.

References $choice, $i, $question, $ret, and eZQuestionChoice.

## ◆ responseID()

eZResponseQuestion::responseID | ( |  | ) |

Definition at line 438 of file ezresponsequestion.php.

References $ResponseID.

## ◆ setChoiceID()

eZResponseQuestion::setChoiceID | ( |  | $value | ) |

Definition at line 446 of file ezresponsequestion.php.

## ◆ setOther()

eZResponseQuestion::setOther | ( |  | $value | ) |

Definition at line 447 of file ezresponsequestion.php.

## ◆ setQuestionID()

eZResponseQuestion::setQuestionID | ( |  | $value | ) |

Definition at line 445 of file ezresponsequestion.php.

## ◆ setResponseID()

eZResponseQuestion::setResponseID | ( |  | $value | ) |

Definition at line 444 of file ezresponsequestion.php.

## ◆ store()

eZResponseQuestion::store | ( |  | ) |

Definition at line 184 of file ezresponsequestion.php.

References $i, $question, $response, eZResponseBool, eZResponseMultiple, eZResponseRank, eZResponseSingle, and eZResponseText.

## Member Data Documentation

## ◆ $ChoiceID

eZResponseQuestion::$ChoiceID

Definition at line 451 of file ezresponsequestion.php.

Referenced by choiceID(), and get().

## ◆ $Other

eZResponseQuestion::$Other

Definition at line 452 of file ezresponsequestion.php.

Referenced by get(), and other().

## ◆ $QuestionID

eZResponseQuestion::$QuestionID

Definition at line 450 of file ezresponsequestion.php.

Referenced by deleteByQuestion(), getResponsesByQuestion(), and questionID().

## ◆ $ResponseID

eZResponseQuestion::$ResponseID

Definition at line 449 of file ezresponsequestion.php.

Referenced by responseID().

The documentation for this class was generated from the following file:

- ezresponsequestion.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.